Ticket #42036

xaw: compiler warning about non-const char**

Open Date: 2021-04-20 14:22 Last Update: 2021-04-25 12:43

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Building S2_6 xaw-client on current Manjaro:

../../../../src/client/gui-xaw/wldlg.c: In function ‘worklist_show_advanced_callback’: ../../../../src/client/gui-xaw/wldlg.c:1220:40: warning: passing argument 2 of ‘XawListChange’ from incompatible pointer type -Wincompatible-pointer-types 1220 | XawListChange(pdialog->avail, pdialog->worklist_avail_names_ptrs,
| ~ | | | char **
In file included from ../../../../src/client/gui-xaw/wldlg.c:29: /usr/include/X11/Xaw/List.h:170:18: note: expected ‘const char **’ but argument is of type ‘char **’
170 | _Xconst char **list,
|

Ticket History (3/4 Histories)

2021-04-20 14:22 Updated by: cazfi
  • New Ticket "xaw: compiler warning about non-const char**" created
2021-04-23 02:38 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
2021-04-25 12:43 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login